Skip to content

Person

idstring, (uuid)

The unique identifier of the Person in Parallax.

given_namestring or null

The first name or given name of the Person.

family_namestring or null

The last name or family name of the Person.

email_addressstring or null

The email address associated with the Person.

capacitynumber or null, (double)

The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending null in the request body.

role_idstring, (uuid)

Id of the Role to be used as the primary (default) Role for this person.

billable_utilization_targetnumber or null, (double)

The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending null in the request body.

billableboolean

Indicates whether the Person's work is considered billable for client projects.

start_datestring or null, (date)

The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.

end_datestring or null, (date)

If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending null in the request body.

worker_typestring(WorkerType)

Specifies the worker classification for the Person, such as Employee or Contractor.

Enum:"full_time""contractor"
tagsArray of strings

A list of tags used to categorize the Person for filtering, reporting, or custom grouping.

created_datestring, (date-time)

The date and time when the Person record was created in Parallax.

modified_datestring, (date-time)

The date and time when the Person record was last modified in Parallax.

image_urlstring or null

The URL of the profile image associated with the Person.

archivedboolean

Indicates whether the Person is archived and no longer active for project assignment or planning.

current_cost_rateobject(Money)

The current effective cost rate for the person. This will return the current overridden cost rate of the person, and will fall back to the current cost rate of their assigned role if there is no override.

external_idsArray of strings

All external IDs associated with the Person. Parallax-managed integrations use the delimited format 'px_{provider}:{id}' (e.g., 'px_hubspot:12345678901').

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "given_name": "string", "family_name": "string", "email_address": "string", "capacity": 0.1, "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9", "billable_utilization_target": 0.1, "billable": true, "start_date": "2019-08-24", "end_date": "2019-08-24", "worker_type": "full_time", "tags": [ "string" ], "created_date": "2019-08-24T14:15:22Z", "modified_date": "2019-08-24T14:15:22Z", "image_url": "string", "archived": true, "current_cost_rate": { "currency_code": "string", "amount": 0 }, "external_ids": [ "string" ] }